%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name: iotop
Version: 0.4.3
Release: 4%{?dist}
Summary: Top like utility for I/O 

Group: Applications/System
License: GPLv2
URL: http://guichaz.free.fr/iotop/
Source0: http://guichaz.free.fr/iotop/files/%{name}-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-setuptools

Requires: python python-ctypes
Requires: kernel >= 2.6.18-199

# rhel only, use new kernel command to prevent kABI breakage
Patch0: iotop-0.4-v4-cmd.patch

# after CVE-2011-2494 fix, iotop needs root privileges
Patch1: iotop-0.4.3-rootpriv.patch

# iotop 0.4.3+ expects different kABI, revert those changes 
#commit: http://repo.or.cz/w/iotop.git/commit/7f1773e7e9ddbb7065b86e1d7654e5ee99c0db0d
Patch2: iotop-0.4.3-noalignment.patch

%prep
%setup -q
%patch0 -p1 -b .v4-cmd
%patch1 -p1 -b .rootpriv
%patch2 -p1 -b .noalignment

%build
%{__python} setup.py build

%description
Linux has always been able to show how much I/O was going on
(the bi and bo columns of the vmstat 1 command).
iotop is a Python program with a top like UI used to
show of behalf of which process is the I/O going on.


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README THANKS
%{_bindir}/iotop
%{_mandir}/man1/iotop.1.*
%{python_sitelib}/*

%changelog
* Thu Dec 01 2011 Michal Hlavinka <mhlavink@redhat.com> - 0.4.3-4
- do not expect new kernel data alignment

* Mon Oct 17 2011 Michal Hlavinka <mhlavink@redhat.com> - 0.4.3-3
- fix uid check in last patch

* Tue Oct 11 2011 Michal Hlavinka <mhlavink@redhat.com> - 0.4.3-2
- inform user that we need root privileges

* Tue Oct 11 2011 Anton Arapov <anton@redhat.com> - 0.4.3-1
- Update to the latest available version [545526]

* Wed Jun 09 2010 Michal Hlavinka <mhlavink@redhat.com> - 0.4-1
- import for RHEL-5
